<?php

if ( !class_exists( 'eShopMagic_Model' ) ) {

class eShopMagic_Model {

	protected $table_name = NULL;

	public function __construct( ) {
		global $wpdb;
		$this->db = $wpdb;
	}

	public function simpleSelect( Array $args = Array( ), $return = ARRAY_A ) {

		if ( !empty( $args ) ) extract( $args );

		if ( !isset( $select_modifier ) ) $select_modifier = '';
		
		$conditions = ( isset( $where ) ) ? ' WHERE ' . implode( ' AND ', $where ) : '';

		$orderby = ( isset( $orderby ) ) ? ' ORDER BY ' . implode( ', ', $orderby ) : '';
		
		$limit = ( isset( $page_limit ) ) ? " LIMIT {$page_limit}" : '';

		$field_list = ( isset( $fields ) ) ? implode( ',', $fields ) : '*';

		$sql =	"
			SELECT {$select_modifier}
				{$field_list}
			FROM
				`{$this->table_name}`
			{$conditions}
			{$orderby}
			";

		return $this->db->get_results( $sql, $return );
	}


	public function insert( $data, $format = NULL ) {
		$result = $this->db->insert( $this->table_name, $data, $format );
		return $result;
	}

	public function update( $data, $where, $format = NULL, $where_format = NULL ){
		$result = $this->db->update( $this->table_name, $data, $format, $where_format );
	}

	public function runSQL( $path ) {

		if ( !file_exists( $path ) ) return;

		$sql = file_get_contents( $path );

		$sql = preg_replace( '/{PREFIX}/', $this->db->prefix, $sql );

		$statements = explode( ';', $sql );
		
		foreach( $statements as $sql ) {
			$result = $this->db->query( $sql );
		}
	}
	
} # End Class

} # End If
