<?php

foreach( $checks['page'] as $k => $v ) {

	$k = ucwords( $k );

	switch ( $v ) {
		case eShopMagic_troubleshooterController::ESHOPMAGIC_PAGE_FOUND: 
			$html[] = $this->html->readonlyField( $k, 'Page found.', 'successText' );
			break;
		case eShopMagic_troubleshooterController::ESHOPMAGIC_SHORTCODE_MISSING: 
			$html[] = $this->html->readonlyField( $k, 'Page found but shortcode seems to be missing.', 'errorText' );
			break;
		case eShopMagic_troubleshooterController::ESHOPMAGIC_PAGE_MISSING:
			$html[] = $this->html->readonlyField( $k, 'Page not found. Check settings', 'errorText' );
			break;
		case eShopMagic_troubleshooterController::ESHOPMAGIC_IS_HOME_PAGE:
			$html[] = $this->html->readonlyField( $k, 'This page should NOT be your home page.', 'errorText' );
			break;
	}
}

$legend = $this->html->legend( '', 'Page Checks' );
$para = $this->html->p( '', "The eShop plugin creates several pages on first installation.  The first four pages below are critical, the others are optional, depending on the specifics of your online store." );

$html = array_merge( Array( $legend, $para ), $html );

echo $this->html->div( 'class:left', $this->html->fieldset( '', $html ) ); 

$html = Array( );

foreach( $checks['plugin'] as $k => $v ) {

	$k = ucwords( $k );

	switch ( $v ) {
		case eShopMagic_troubleshooterController::ESHOPMAGIC_PLUGIN_OK: 
			$html[] = $this->html->readonlyField( $k, 'Plugin not found.', 'successText' );
			break;
		case eShopMagic_troubleshooterController::ESHOPMAGIC_PLUGIN_WARNING: 
			$html[] = $this->html->readonlyField( $k, 'Plugin found.  You may experience problems.', 'errorText' );
			break;
	}
}

$legend = $this->html->legend( '', 'Plugin Checks' );
$para = $this->html->p( '', "These plugins have been reported to cause conflicts of some kind with eShop (<a href='http://quirm.net/wiki/eshop/troubleshooting/compatibility-with-other-plugins/'>details</a>)." );

$html = array_merge( Array( $legend, $para ), $html );

echo $this->html->div( 'class:left', $this->html->fieldset( '', $html ) ); 
